Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create agent session children

POST/workspaces/{organizationId}/agent/sessions/{sessionId}/children
Path parameters
organizationIdstringrequired
sessionIdstringrequired
Request body
application/json
titlestringrequired
min length 1
descriptionstring
agentIdstring
modelstring
repostring
Responses
201Child session created and dispatched
sessionobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
issueIdstringrequired
agentIdstringrequired
providerstringrequired
actorIdstringrequired
actorTypestringrequired
Allowed:useragent
statusstringrequired
Allowed:createdrunningwaitingcompletedfailedcanceled
resultstring | nullrequired
urlstring | nullrequired
providerSessionIdstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
branchstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
lastProgressAtstring | null
lastStateHashstring | null
activitiesobject[]
Show properties
Array of object
idstringrequired
sessionIdstringrequired
actorIdstring | nullrequired
typestringrequired
Allowed:thoughtresponseerrorelicitationactionstatusartifact
messagestringrequired
payloadany | null
parentIdstring | nullrequired
startedAtstring | nullrequired
endedAtstring | nullrequired
durationMsnumber | nullrequired
createdAtstringrequired
issueobjectrequired
Show properties
idstringrequired
identifierstring | nullrequired
titlestringrequired
descriptionstring | nullrequired
statusstringrequired
prioritystringrequired
repostring | nullrequired
branchstring | nullrequired
parentIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
400Bad request
404Session or parent issue not found
429Too many active child sessions
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/agent/sessions/string/children" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "description": "string",
  "agentId": "string",
  "model": "string",
  "repo": "string"
}'
Response
{
  "session": {
    "id": "string",
    "organizationId": "string",
    "issueId": "string",
    "agentId": "string",
    "provider": "string",
    "actorId": "string",
    "actorType": "user",
    "status": "created",
    "result": "string",
    "url": "string",
    "providerSessionId": "string",
    "prUrl": "string",
    "prState": "string",
    "branch": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "lastProgressAt": "string",
    "lastStateHash": "string",
    "activities": [
      {
        "id": "string",
        "sessionId": "string",
        "actorId": "string",
        "type": "thought",
        "message": "string",
        "payload": null,
        "parentId": "string",
        "startedAt": "string",
        "endedAt": "string",
        "durationMs": 0,
        "createdAt": "string"
      }
    ]
  },
  "issue": {
    "id": "string",
    "identifier": "string",
    "title": "string",
    "description": "string",
    "status": "string",
    "priority": "string",
    "repo": "string",
    "branch": "string",
    "parentId": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}